Bug 1136519

Summary: Review Request: f21-kde-theme - Fedora Twenty One KDE Theme
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: Jaroslav Reznik <jreznik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: awilliam, jreznik, mruckman, package-review, rdieter, robatino
Target Milestone: ---Flags: jreznik: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedBlocker
Fixed In Version: kde-settings-21-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-11 02:44:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1043119, 1092217    

Description Rex Dieter 2014-09-02 18:30:36 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/f21-kde-theme/f21-kde-theme.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/f21-kde-theme/f21-kde-theme-20.90-1.fc20.src.rpm
Description: 
This is Fedora Twenty One KDE Theme Artwork containing KDM theme,
KSplash theme and Plasma Workspaces theme.

Fedora Account System Username: rdieter

Comment 1 Fedora Blocker Bugs Application 2014-09-02 18:43:06 UTC
Proposed as a Blocker for 21-alpha by Fedora user rdieter using the blocker tracking app because:

 "The default desktop background must be different from that of the two previous stable releases."

I guess doesn't qualify as "default", but does affect kde spin theming.

Comment 2 Jaroslav Reznik 2014-09-02 19:47:56 UTC
Name: ok
Summary: ok
License: ok (GPLv2+ and CC-BY-SA)
URL/sources: ok
Description: ok
Docs: ok

rpmlint f21-kde-theme.spec 
f21-kde-theme.spec:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 2)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Please fix whitespace, not a blocker.

rpmlint f21-kde-theme-20.90-1.fc20.noarch.rpm 
f21-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/F21/1920x1200/f21.png ../../../../../../backgrounds/f21/default/wide/f21.png
f21-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/F21/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
f21-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/F21/2048x1536/F21.png ../../../../../../backgrounds/f21/default/standard/f21.png
f21-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/F21/2048x1536/logo.png ../../../../../../pixmaps/system-logo-white.png
f21-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/F21/1280x1024/f21.png ../../../../../../backgrounds/F21/default/normalish/f21.png
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Provided by backgrounds package, symlinked to the right place.


This is the same package as used for previous releases, no issues were found -> APPROVED.

Comment 3 Rex Dieter 2014-09-02 19:54:43 UTC
Thanks.

New Package SCM Request
=======================
Package Name: f21-kde-theme
Short Description: Fedora Twenty One KDE Theme
Upstream URL: http://fedorahosted.org/fedora-kde-artwork/
Owners: rdieter,mbriza,jreznik
Branches: f21
InitialCC:

Comment 4 Gwyn Ciesla 2014-09-02 19:57:43 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-09-02 20:59:55 UTC
kde-settings-21-1.fc21,heisenbug-kde-theme-19.90.5-3.fc21,f21-kde-theme-20.90-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kde-settings-21-1.fc21,heisenbug-kde-theme-19.90.5-3.fc21,f21-kde-theme-20.90-1.fc21

Comment 6 Mike Ruckman 2014-09-03 16:41:33 UTC
Discussed in 2014-09-03 Blocker Review meeting. Voted as an Accepted Blocker as it violates the Alpha Criteria: "The default desktop background must be different from that of the two previous stable releases."

Comment 7 Fedora Update System 2014-09-06 01:01:02 UTC
kde-settings-21-1.fc21, heisenbug-kde-theme-19.90.5-3.fc21, f21-kde-theme-20.90-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Adam Williamson 2014-09-09 00:46:23 UTC
Tested with TC6, the same non-F20 background that Workstatation uses is visible on login screen and desktop background.

Comment 9 Fedora Update System 2014-09-11 02:44:41 UTC
kde-settings-21-1.fc21, heisenbug-kde-theme-19.90.5-3.fc21, f21-kde-theme-20.90-1.fc21 has been pushed to the Fedora 21 stable repository.